//terrain shaders
textures/obj_hideout/terrain_base
{
	q3map_lightmapaxis z
	q3map_terrain
	q3map_lightmapmergable
	q3map_lightmapsamplesize 32
}
textures/obj_hideout/terrain_wood1
{
	qer_editorimage textures/obj_hideout_editor/terrain_normal.tga

	q3map_baseshader textures/obj_hideout/terrain_base
	surfaceparm mat_grass
 
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/coroner/foliage_w1.tga
		tcMod scale 0.25 0.25
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/obj_hideout/terrain_wood1_foliage
{
	qer_editorimage textures/obj_hideout_editor/terrain_gras.tga

	q3map_baseshader textures/obj_hideout/terrain_base
	surfaceparm mat_grass

	q3map_surfaceModel models/mapobjects/coroner/foliage_plant_low1.md3 64 0.15 0.7 1 0 360 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/coroner/foliage_w1.tga
		tcMod scale 0.25 0.25
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/obj_hideout/terrain_wood1_foliage_0_1
{
	qer_editorimage textures/obj_hideout_editor/terrain_gras_01.tga

	q3map_baseshader textures/obj_hideout/terrain_base
	surfaceparm mat_grass

	q3map_surfaceModel models/mapobjects/coroner/foliage_plant_low1.md3 96 0.1 0.7 1 0 360 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/coroner/foliage_w1.tga
		tcMod scale 0.25 0.25
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/obj_hideout/terrain_wood1_foliage_bush
{
	qer_editorimage textures/obj_hideout_editor/terrain_gras_bush.tga

	q3map_baseshader textures/obj_hideout/terrain_base
	surfaceparm mat_grass

	q3map_surfaceModel models/mapobjects/coroner/foliage_plant_low1.md3 64 0.15 0.7 1 0 360 1
	q3map_surfaceModel models/mapobjects/coroner/bush_common.md3 384 0.2 0.9 1 0 360 1 
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/coroner/foliage_w1.tga
		tcMod scale 0.25 0.25
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/obj_hideout/terrain_wood1_outer_foliage
{
	qer_editorimage textures/obj_hideout_editor/terrain_gras_foliage

	q3map_baseshader textures/obj_hideout/terrain_base
	surfaceparm mat_grass

	q3map_foliage models/mapobjects/coroner/foliage_plant_low1.md3 1 128 0.2 0
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/coroner/foliage_w1.tga
		tcMod scale 0.25 0.25
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//shaders using exsisting textures but rewriting
textures/obj_hideout/fence_1
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm playerclip
        nopicmip
        nomipmaps
        
        qer_editorimage textures/q3tc/proto_fence.tga
	{
		map textures/q3tc/proto_fence.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//dunno why modified ;)
textures/obj_hideout/tree1_autosprite1
{	
	qer_editorimage models/mapobjects/coroner/tree1_autosprite1.tga
	
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	deformVertexes autosprite2

	q3map_bouncescale 0
	{
		map models/mapobjects/coroner/tree1_autosprite1.tga
		depthWrite
		alphaFunc GE128
		rgbGen vertex
	}
}

//dunno why modified ;)
textures/obj_hideout/tree1_autosprite2
{	
	qer_editorimage models/mapobjects/coroner/tree1_autosprite2.tga
	
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	deformVertexes autosprite2
	
	q3map_bouncescale 0
	{
		map models/mapobjects/coroner/tree1_autosprite2.tga
		depthWrite
		alphaFunc GE128
		rgbGen vertex
	}
}

//modified shader for surfaceparm --> particles when shooting at
textures/obj_hideout/concrete_6
{
	qer_editorimage textures/twy_concrete/concrete_6.tga

	surfaceparm mat_cement

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/twy_concrete/concrete_6.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//modified shader for surfaceparm --> particles when shooting at
textures/obj_hideout/bricks_o1
{
	qer_editorimage textures/coroner/bricks_o1.tga

	surfaceparm mat_brick

	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/coroner/bricks_o1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

//modified sky shader for more light
textures/obj_hideout/coroner_woodfogsky
{
	nocompress
	qer_editorimage textures/skies/topclouds.tga
	q3map_lightrgb 1 1 1	
	q3map_lightmapFilterRadius 0 8	
	
	q3map_skylight 50 8
	
	q3map_nofog
	nofog
	
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
	
	{	
		fog off
		map textures/skies_sd/wurzburg_clouds.tga
		tcMod scale 2.5 2.5
		tcMod scroll 0.0015 -0.003
		rgbGen identityLighting
	}
	{
		fog off
		clampmap textures/coroner_skies/woodfogsky_fogmask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		
		rgbGen const ( 0.1624 0.1675 0.2026 )
	}
}